
Discovery - Tracker #8332

[Discovery 2.0] Usability alignment and autoprovisioning

11/10/2014 04:41 AM - Lukas Zapletal

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Our main effort on the way to foreman_discovery 1.5 are:

automatic provisioning

per subnet configuration of discovery

API/CLI alignment

extensions support

discovery image 2.0 release

Related issues:

Related to Discovery - Feature #3860: Implement fully automated provisioning Closed 12/12/2013

Related to Discovery - Feature #8317: Implement Reboot action Closed 11/07/2014

Related to Discovery - Bug #8257: Discovery 2.0 "System halted" at boot Resolved 11/04/2014

Related to Foreman - Feature #7525: Report volume sizes via facter Closed 09/18/2014

Related to Discovery - Feature #6407: Pluggable fact extending Resolved 06/26/2014

Related to Foreman - Bug #5701: Creating a host without OS set gives undefine... Closed 05/13/2014

Related to Discovery - Bug #6764: Do not distribute TCL build script Closed 07/24/2014

Related to Discovery - Bug #8349: Explicitly enable smart-proxy facts feature Closed 11/11/2014

Related to Discovery - Bug #8386: API and CLI alignment Closed 11/13/2014

Related to Discovery - Feature #8432: Support for non-direct communication Closed 11/18/2014

Related to Discovery - Bug #8901: discovery nightly does not work with forema... Closed 01/11/2015

Related to Discovery - Bug #8900: foreman discovery nightly fails to migrate ... Closed 01/11/2015

Related to Discovery - Bug #8899: Auto-provision in api docs doesn't show id ... Closed 01/11/2015

History

#1 - 11/10/2014 05:04 AM - Lukas Zapletal

- Related to Feature #3860: Implement fully automated provisioning added

#2 - 11/10/2014 05:07 AM - Lukas Zapletal

- Related to Feature #8317: Implement Reboot action added

#3 - 11/10/2014 05:07 AM - Lukas Zapletal

- Related to Bug #8257: Discovery 2.0 "System halted" at boot added

#4 - 11/10/2014 05:07 AM - Lukas Zapletal

- Related to Feature #7525: Report volume sizes via facter added

#5 - 11/10/2014 05:08 AM - Lukas Zapletal

- Related to Feature #7509: Add Discovery global menu entry in automated way added

#6 - 11/10/2014 05:08 AM - Lukas Zapletal

- Related to Feature #6407: Pluggable fact extending added
#7 - 11/10/2014 05:09 AM - Lukas Zapletal

- Related to Bug #5701: Creating a host without OS set gives undefined method `boot_filename' exception added

#8 - 11/10/2014 05:15 AM - Lukas Zapletal

- Related to Bug #6764: Do not distribute TCL build script added

#9 - 11/10/2014 05:20 AM - Lukas Zapletal

- Related to Feature #6164: Add discovery_bootip to the image added

#10 - 11/11/2014 10:00 AM - Lukas Zapletal

- Related to Bug #8349: Explicitly enable smart-proxy facts feature added

#11 - 11/13/2014 03:35 AM - Lukas Zapletal

- Related to Bug #8386: API and CLI alignment added

#12 - 11/13/2014 03:35 AM - Lukas Zapletal

- Related to Feature #8388: Per subnet configuration of discovery added

#13 - 11/18/2014 08:15 AM - Lukas Zapletal

- Related to Feature #8432: Support for non-direct communication added

#14 - 01/12/2015 05:19 AM - Lukas Zapletal

- Subject changed from [Discovery 1.5] Usability alignment and autoprovisioning to [Discovery 2.0] Usability alignment and autoprovisioning

Changed version to 2.0, I will do the review of this tracker ticket now.

#15 - 01/12/2015 05:47 AM - Lukas Zapletal

- Related to deleted (Feature #7509: Add Discovery global menu entry in automated way)

#16 - 01/12/2015 05:48 AM - Lukas Zapletal

- Related to deleted (Feature #8388: Per subnet configuration of discovery)

#17 - 01/12/2015 05:51 AM - Lukas Zapletal

- Related to Bug #8901: discovery nightly does not work with foreman 1.7-stable added

#18 - 01/12/2015 05:51 AM - Lukas Zapletal

- Related to Bug #8900: foreman discovery nightly fails to migrate on pg added

#19 - 01/12/2015 05:51 AM - Lukas Zapletal

- Related to Bug #8899: Auto-provision in api docs doesn't show id as a required field added

#20 - 01/21/2015 05:52 AM - Lukas Zapletal

- Related to deleted (Feature #6164: Add discovery_bootip to the image)

#21 - 01/21/2015 05:53 AM - Lukas Zapletal

- Status changed from New to Resolved

I call 2.0 done, except for the CLI works which are following next week.
